import { Component } from '@angular/core';

@Component({
    selector: 'ej-app',
    templateUrl: './ribbon.component.html',
})
export class RibbonComponent {
    constructor() {

    }
    CreateNew(args) {
        alert("Clicked target ID( " +args.target.id + " ) retrieved  through 'group click' event.");
    }
    Group1 = [{
        text: "Group1",
        alignType: "rows",
        content: [{
            groups: [{
                id: "grp1_btn",
                text: "Click grp1 button",
                toolTip: "Group1 button",
                buttonSettings: {
                 click: function(args){
                    alert("button ID( " +args.target.id + " ) retrieved  through 'button' event.");
                 }
                }
            }],
            defaults: {
                type: "button",
            }
        }]
    },{
        text: "Group2",
        alignType: "rows",
        content: [{
            groups: [{
                id: "grp2_btn",
                text: "Click grp2 button",
                toolTip: "Group2 button",
                buttonSettings: {
                 click: function(args){
                    alert("button ID( " +args.target.id + " ) retrieved  through 'button' event.");
                 }
                }
            }],
            defaults: {
                type: "button",
            }
        }]
    }]
}
